"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.coinGeckoClient = void 0;
const coingecko_api_v3_1 = require("coingecko-api-v3");
const coinGeckoClient = () => {
    const client = new coingecko_api_v3_1.CoinGeckoClient({
        timeout: 10000,
        autoRetry: true,
    });
    return {
        getRenderPriceAtDate(d) {
            return __awaiter(this, void 0, void 0, function* () {
                const res = yield client.coinIdHistory({
                    id: 'render-token',
                    date: `${d.getDate()}-${d.getMonth() + 1}-${d.getFullYear()}`
                });
                return res.market_data.current_price['usd'];
            });
        },
        getCurrPrice() {
            var _a;
            return __awaiter(this, void 0, void 0, function* () {
                const res = yield client.coinId({ id: 'render-token' });
                return (_a = res.market_data) === null || _a === void 0 ? void 0 : _a.current_price['usd'];
            });
        }
    };
};
exports.coinGeckoClient = coinGeckoClient;
//# sourceMappingURL=priceClient.js.map