import { RenderLogger } from "./logger";
export interface RenderClient {
    fetchCompletedJobs(limit: number, finishedAfter?: Date, finishedBefore?: Date): Promise<{
        jobId: number;
        finishedAt: Date;
        rndrUsed: number;
    }[]>;
    markJobsBurned(ids: number[], totalBurned: number): Promise<void>;
    fetchNodeOperatorRewards(startTime: Date, endTime: Date): Promise<{
        jobIds: number[];
        solKeyToDue: Record<string, number>;
    }>;
    markJobsPayed(ids: number[], finishedAfter: Date, finishedBefore: Date, totalDistributed: number): Promise<void>;
}
export declare const renderClient: (authToken: string, log?: RenderLogger) => RenderClient;
//# sourceMappingURL=renderClient.d.ts.map